import { ILayerService, IStartStopService, MapDatasource, IMapLayer, LayerServerOptions } from '..';
export declare class LayerServer implements ILayerService, IStartStopService {
    id: string;
    title?: string | undefined;
    options?: LayerServerOptions;
    type: string;
    layers: IMapLayer[];
    getInstance(init?: Partial<ILayerService>): IStartStopService;
    constructor(init?: Partial<LayerServer>);
    Start(manager: MapDatasource): Promise<void>;
    private removeExistingLayers;
    Stop(manager: MapDatasource): void;
}
